{ nixpkgs, home-manager, ... }:

{
  nixosConfigurations = {
    "gandalf" = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [
        home-manager.nixosModules.home-manager
        ./systems/gandalf
      ];
    };
    "frodo" = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [
        home-manager.nixosModules.home-manager
        ./systems/frodo
      ];
    };
    "legolas" = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [
        home-manager.nixosModules.home-manager
        ./systems/legolas
      ];
    };
    "work" = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [
        home-manager.nixosModules.home-manager
        ./systems/work
      ];
    };
  };
}
